#
# spec file for package spandsp (Version 0.0.5pre4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           spandsp
BuildRequires:  audiofile-devel docbook-xsl-stylesheets doxygen gcc-c++ libtiff-devel libxslt docbook-dsssl-stylesheets docbook-utils docbook-toys docbook2x
Url:            http://www.soft-switch.org/
Summary:        A DSP library for Telephony and SoftFAX
Version:        0.0.5pre4
Release:        59.2
License:        GPL v2 only
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define debug_package_requires libspandsp1 = %{version}-%{release}

%description
SpanDSP is a library of DSP functions for telephony, in the 8000 sample
per second world of E1s, T1s, and higher order PCM channels. It
contains low level functions, such as basic filters. It also contains
higher level functions, such as cadenced supervisory tone detection,
and a complete software FAX machine.



Authors:
--------
    Steve Underwood <steveu@coppice.org>

%package devel
License:        GPL v2 only
Summary:        Development files for the SpanDSP library
Group:          Development/Libraries/C and C++
Requires:       libspandsp1 = %version libtiff-devel glibc-devel

%description devel
This package contains files that are needed for developing or compiling
software that uses the spandsp library.



Authors:
--------
    Steve Underwood <steveu@coppice.org>

%package -n libspandsp1
License:        GPL v2 only
Summary:        A DSP library for Telephony and SoftFAX
Group:          System/Libraries

%description -n libspandsp1
SpanDSP is a library of DSP functions for telephony, in the 8000 sample
per second world of E1s, T1s, and higher order PCM channels. It
contains low level functions, such as basic filters. It also contains
higher level functions, such as cadenced supervisory tone detection,
and a complete software FAX machine.



Authors:
--------
    Steve Underwood <steveu@coppice.org>

%prep
%setup -q -n spandsp-0.0.5

%build
autoreconf -fiv
%configure \
%ifarch i586 i686
	--enable-mmx \
%endif
%ifarch x86_64
	--enable-sse \
%endif
	--disable-static \
	--enable-doc \
	--with-pic
make

#%check
#make check

%install
%makeinstall
mkdir -p %buildroot/%_docdir/%name
cp -a COPYING INSTALL AUTHORS NEWS README DueDiligence \
        ChangeLog doc/api/html %buildroot/%_docdir/%name
find %buildroot -name '*.la' | xargs rm

%post -n libspandsp1 -p /sbin/ldconfig

%postun -n libspandsp1 -p /sbin/ldconfig

%clean
rm -rf %buildroot


%files devel
%defattr(-,root,root,-)
%doc %_docdir/%name
%_includedir/*
%_libdir/libs*.so
#%_libdir/pkgconfig/spandsp.pc

%files -n libspandsp1
%defattr(-,root,root,-)
%_libdir/lib*.so.*

%changelog
* Wed Sep 24 2008 ro@suse.de
- fix debug package requires again
* Wed Sep 17 2008 mrueckert@suse.de
- fix requires of the debug package
* Thu Sep 11 2008 max@suse.de
- New version: 0.0.5pre4
- Packages renamed to comply with the package naming conventions.
- Added libxslt and docbook-xsl-stylesheets to build the
  T.34 documentation.
* Fri May  2 2008 crrodriguez@suse.de
- fix Error: shlib-with-non-pic-code /usr/lib/libspandsp.so.0.0.2 in PPC
  _ some files not built with RPM_OPT_FLAGS
* Mon Feb 25 2008 crrodriguez@suse.de
- fix library-without-ldconfig*  errors
- fix -devel package dependencies
* Wed Jan 23 2008 max@suse.de
- New version: 0.0.4pre16
- It is said to be more stable for faxing (#347599).
- Added API documentation to the devel subpackage.
- Enabled MMX for i586 and i686.
- Removed the static library.
* Thu Aug  2 2007 max@suse.de
- Update to final 0.0.3 version (obsoletes our previous patches)
- Split off a devel package
* Tue Mar 13 2007 pgajdos@suse.cz
- fixed 'warning: array subscript is above array bounds' (#239958)
- array-subscript.patch
* Fri Oct 20 2006 max@suse.de
- New version: 0.0.3pre24
- Improved fax handling.
* Mon Mar 20 2006 max@suse.de
- New version: 0.0.2pre25
- fixed an error in T.4 processing, causing a sideways shift with some
  sending FAX machines (e.g. some Canons).
- fixed an error in the generation of single tones.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 max@suse.de
- New version: 0.0.2pre23
* Fri Dec 16 2005 max@suse.de
- New version: 0.0.2pre21
* Mon May 23 2005 max@suse.de
- New version: 0.0.2pre18
* Wed May  4 2005 max@suse.de
- New version: 0.0.2pre17
* Fri Apr 22 2005 max@suse.de
- New version: 0.0.2pre15
- Fixed building with gcc4 and reduced warnings.
* Thu Apr 14 2005 sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Mon Feb 28 2005 max@suse.de
- New version: 0.0.2pre10
* Mon Feb 28 2005 max@suse.de
- New version: 0.0.2pre9
* Thu Jan 13 2005 max@suse.de
- New version: 0.0.2pre8
* Wed Jan 12 2005 max@suse.de
- New version: 0.0.2pre7
* Mon Nov 29 2004 max@suse.de
- New version: 0.0.2pre6
* Thu Nov 18 2004 ro@suse.de
- fixed file list
* Fri Nov  5 2004 max@suse.de
- New version: 0.0.2pre4
* Tue Jul  6 2004 max@suse.de
- autoreconf needs --install to get the names of shared libs right.
* Mon Jul  5 2004 max@suse.de
- Don't use x86-speciffic assembler code.
* Wed Jun 23 2004 max@suse.de
- New package: spandsp (0.0.1k)
- SpanDSP is a library of DSP functions for telephony, in the
  8000 sample per second world of E1s, T1s, and higher order
  PCM channels. It contains low level functions, such as basic
  filters. It also contains higher level functions, such as
  cadenced supervisory tone detection, and a complete software
  FAX machine.
